var Comment = function() {
	this.moreButton = null;
	this.commentList = null;
}

Comment.prototype.init = function(isCommentOpen) {
	this.moreButton = document.getElementById("comment-list-i");
	this.commentList = document.getElementById("comment-list");
	
	if(isCommentOpen) {
		this.commentList.style.display = "block";
		this.moreButton.className = "cm-icol listup";
	}
}

Comment.prototype.viewMore = function() {
	if (this.moreButton.className == "cm-icol listup") {
		this.commentList.style.display = "none";
		this.moreButton.className = "cm-icol listdown";
	} else {
		this.commentList.style.display = "block";
		this.moreButton.className = "cm-icol listup";
	}
}

Comment.prototype.viewPost = function(blogUrl, serviceType, blogId, logNo, target) {
	if(serviceType == "blog" || serviceType == "prologue" || serviceType == "guestbook") {
		window.open(blogUrl+"/PostView.nhn?blogId="+blogId+"&logNo="+logNo, target, "");
	} else if(serviceType == "memolog") {
		window.open("/memoView.nhn?blogId="+blogId+"&logNo="+logNo, target, "");
	} else if(serviceType == "lifelog") {
		window.open("/LifelogView.nhn?blogId="+blogId+"&logno="+logNo, target, "");
	}
}

var comment = new Comment();