var Visitor = function() {
 this.moreButton = null;
 this.visitorList = null;
}

Visitor.prototype.init = function(blogId, listNumVisitor, isVisitorOpen) {
 this.moreButton = document.getElementById("visitor-list-i");
 this.visitorList = document.getElementById("visitor-list");
 
 if (isVisitorOpen) {
  this.visitorList.style.display = "block";
  this.moreButton.className = "cm-icol listup";
 } else {
  var targetURL = "/NVisitor4Ajax.nhn?blogId="+blogId+"&listNumVisitor="+listNumVisitor+"&isVisitorOpen="+isVisitorOpen;
  ajax.callByAjax(targetURL, visitor.replaceHTML);
 }
}

Visitor.prototype.deleteVisitor = function(blogId, visitNo, listNumVisitor, isVisitorOpen) {
 if (confirm('ٳణ ΰŸ Ͻðڽϱ?')) {
  var targetURL = "/NVisitorDelete.nhn?blogId="+blogId+"&visitNo="+visitNo+"&listNumVisitor="+listNumVisitor+"&isVisitorOpen="+isVisitorOpen;
  ajax.callByAjax(targetURL, visitor.replaceHTML);
 }
}

Visitor.prototype.replaceHTML = function(data) {
 document.getElementById("visitor-list").innerHTML = data;
}

Visitor.prototype.viewMore = function() {
 if (this.moreButton.className == "cm-icol listup") {
  this.visitorList.style.display = "none";
  this.moreButton.className = "cm-icol listdown";
 } else {
  this.visitorList.style.display = "block";
  this.moreButton.className = "cm-icol listup";
 }
}

var visitor = new Visitor();